require "test_helper"

class JsonControllerTest < ActionController::TestCase
  include Devise::Test::ControllerHelpers

  def test_package
    get :package, params: { name: 'firefox', format: :json }
    assert_response :success
  end

  def test_packages
    get :packages, params: { format: :json }
    assert_response :success
  end

  def test_screenshots
    get :screenshots, params: { format: :json }
    assert_response :success
  end

  def test_packages_without_screenshots
    get :packages_without_screenshots, params: { format: :json }
    assert_response :success
  end

end
